#!/usr/bin/env python
#
# This file is part of Swappin' Colors
# Author(s): Leah Yousef, Girlstart
# Copyright 2008
#
# Source code is derived from Girlstart's Project IT Girl Game Templates:
# http://itgirl.dreamhosters.com/itgirlgames/, http://www.girlstart.org/itgirl
# See the credits file for image sources.
#
# Swappin' Colors is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# Swappin' Colors is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with Swappin' Colors.  If not, see <http://www.gnu.org/licenses/>.

import sys, pygame, random, os
from helpers import *
from ActivityGenerator import *
pygame.init()
pygame.key.set_repeat(500, 30)

addSelect = False
subSelect = False
multSelect = False
divSelect = False

# Set up the window
windowsize = windowwidth, windowheight = 800, 600
screen = pygame.display.set_mode(windowsize)
area = screen.get_rect()
background,background_rect = load_image("Swappin Colors Intro Page copy.jpg")
gamebackground,gamebackground_rect = load_image("FINAL INSTRUCT copy.jpg")


# Set up the activity generator
activity = ActivityGenerator(background, windowwidth, windowheight)

image, imagerect = load_image("Im Ready BW.jpg")
imagerect.centerx = 390
imagerect.centery = 410


screen.blit(background,background_rect)
screen.blit(image,imagerect)
pygame.display.flip()


#For button
Selected=False
while not Selected:
	# Check to see if the user has clicked the mouse or pressed a key
	for event in pygame.event.get():
		if event.type == pygame.QUIT:
			sys.exit()
		elif event.type == pygame.MOUSEBUTTONDOWN:
			if imagerect.collidepoint(event.pos):
				Selected=True


# Set up the window and first screen - choice of add, subtract, multiply or divide problem
windowsize = windowwidth, windowheight = 800, 600
screen = pygame.display.set_mode(windowsize)
area = screen.get_rect()
background,background_rect = load_image("selection page copy.jpg")
add,addrect = load_image("add button copy.jpg")
sub,subrect = load_image("sub button copy.jpg")
mult,multrect = load_image("mult button copy.jpg")
div,divrect = load_image("div button copy.jpg")
screen.blit(background,background_rect)
addrect.top, addrect.centerx = 59,198
screen.blit(add, addrect)
subrect.top, subrect.centerx = 59,582
screen.blit(sub, subrect)
multrect.top, multrect.centerx = 355,198
screen.blit(mult, multrect)
divrect.top, divrect.centerx = 355,582
screen.blit(div, divrect)
pygame.display.flip()


finishedReading = False
while not finishedReading:
	
	for event in pygame.event.get():
		if event.type == pygame.QUIT:
			sys.exit()
		elif event.type == pygame.MOUSEBUTTONDOWN:
			print event.pos
			if addrect.collidepoint(event.pos):
				print "m"
				addSelect = True
				textstring = "OK, Get ready for an Addition Problem!"
				finishedReading = True			
			elif subrect.collidepoint(event.pos):
				subSelect = True
				textstring = "OK, Get ready for an Subtraction Problem!"
				finishedReading = True
			elif multrect.collidepoint(event.pos):	
				print "l"
				multSelect = True
				textstring = "OK, Get ready for an Multiplication Problem!"
				finishedReading =True
			elif divrect.collidepoint(event.pos):
				divSelect = True
				textstring = "OK, Get ready for an Division Problem!"
				finishedReading = True

				
				

#For button
Selected=False
while not Selected:
	# Check to see if the user has clicked the mouse or pressed a key
	image
	
	instruct, instruct_rect = load_image("FINAL INSTRUCT copy.jpg")
	instruct_rect.centerx = 400
	instruct_rect.centery = 300
	screen.blit(instruct,instruct_rect)
	screen.blit(instruct,instruct_rect)
	pygame.display.flip()
	
	for event in pygame.event.get():
		if event.type == pygame.QUIT:
			sys.exit()
		elif event.type == pygame.MOUSEBUTTONDOWN:
			Selected=True

# Set up the activity generator
activity = ActivityGenerator(background, windowwidth, windowheight)

# Main game play
while True:
	# Check to see if the user has clicked the mouse or pressed a key
	for event in pygame.event.get():
		if event.type == pygame.QUIT:
			sys.exit()
		
	if addSelect == True:
		activity.generate_add_activity()
	elif subSelect == True:
		activity.generate_sub_activity()  #Calls the new subtract activity
	elif multSelect == True:
		activity.generate_mult_activity()  #For you to do! Create the Multiplication one!
	elif divSelect == True:
		activity.generate_div_activity()  #For you to do! Create the Division one!
		

	# Draw everything to the screen
	#screen.blit(background,(0,0))
	#pygame.display.flip()
